package service;

import java.util.ArrayList;
import java.util.List;
import javax.jws.WebMethod;
import javax.jws.WebService;

/**
 *
 * @author Andrendp
 */
@WebService()
public class MyService {

    private DatabaseConnection conn = new DatabaseConnection();

    /**
     * Web service operation
     * @param username 
     * @param password 
     * @return
     */
    @WebMethod(operationName = "login")
    public boolean login(String username, String password) {
        boolean flag = false;
        if (conn.connect()) {
            flag = conn.login(username, password);
            conn.disconnect();
        }
        return flag;
    }

    /**
     * Web service operation
     * @return 
     */
    @WebMethod(operationName = "getBooks")
    public List<service.Book> getBooks() {
        List tempBook = new ArrayList();
        if (conn.connect()) {
            tempBook = conn.getBooks();
            conn.disconnect();
        }
        return tempBook;
    }
}
